/* ==================
================== */
.page-frame {
  --page-max-width: 720px;

  --color-bg: #fff;
  --color-bg-tools: rgb(251, 255, 254);
  --color-bg-heading: #f4f4f4;
  --color-bg-note: rgb(255, 255, 251);

  --color-text: #333;
  --color-text-strong: #000;
  --color-text-sub: #555;
  --color-text-muted: #888;

  --color-border: #ddd;
  --color-border-control: #999;
  --color-border-heading: #ccc;
  --color-border-divider: #eee;

  --color-link: #0d6ca9;
  --color-link-hover: #748b0c;
  --color-link-visited: #681da8;

  padding: 0;
  background-color: var(--color-bg);
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

.page-frame * {
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  margin: 0;
  padding: 0;
}

.page-frame *,
.page-frame *::before,
.page-frame *::after {
  box-sizing: border-box;
}


.page-breadcrumb {
  padding: 0 5px;
  margin-bottom: 5px;
}


h1.page-header,
h3.page-header {
  clear: both;
  font-size: 16px;
  font-weight: 500;
  color: var(--color-text-strong);
  background-color: var(--color-bg);
  max-width: var(--page-max-width);
  margin: 0 2px 15px;
  padding: 5px 0 5px 0.5em;
  border: none;
  border-inline-start: 3px solid #f60;
  border-bottom: 1px solid var(--color-border-heading);
  text-align: left;
}


.page-introduction {
  margin: 8px 12px 12px 12px;
  max-width: var(--page-max-width);
}


/* ==================
  テーブルセクション
================== */
.data-table-section {
  --table-width: 100%;
  --col-date: auto;
  --col-title: auto;
  --col-result: auto;
  --col-followup: auto;
  --headrow-height: auto;
  --datarow-height: auto;

  --font-size: 12px;
  --font-size-control: 14px;
  --font-size-heading: 14px;
  --font-size-subject: 15px;
  --font-size-caption: 10px;


  --color-type-1: #D8F5EE;
  --color-type-2: #FFDDD3;
  --color-type-3: #E1DCFA;
  --color-type-4: #F2E5D3;

  --color-hs: #c5c1c0;
  --color-hk: #b186d9;
  --color-th: #99d3df;
  --color-kt: #6bbaa7;
  --color-cb: #a5c590;
  --color-kk: #f2e788;
  --color-cg: #ffa4b1;
  --color-sk: #ffc165;
  --color-ks: #f7789e;
  --color-ok: #ff6060;


  margin-bottom: 45px;
}


/* ==================
  ツールエリア
================== */
.data-table-tools {
  width: var(--table-width);
  display: flex;
  flex-direction: column;
  background-color: var(--color-bg-tools);
  border: 1px solid var(--color-border);
  border-bottom: none;
  border-radius: 5px 5px 0 0;
  row-gap: 10px;
}



.data-table-tools__top-row {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 7px 0 3px;
  row-gap: 10px;
}




.data-table-tools__search {
  display: flex;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  gap: 0;
  order: 2;
  width: 100%;
  padding: 0 3px;
}


.data-table-tools__search-input {

  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
  padding-left: 1em;
  font-size: 14px;
  height: 2.5em;
  border: 1px solid var(--color-border-control);
  border-radius: 4px 0 0 4px;
}


.buttonize {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 3px 10px;
  font-size: var(--font-size-control);
  border: 1px solid var(--color-border);
  text-decoration: none;
  white-space: nowrap;
  cursor: pointer;
}

.data-table-tools__search-button {
  --btn-color: rgb(20, 120, 10);
  border-left: none;
  border-radius: 0 4px 4px 0;
  color: #fff;
  background-color: var(--btn-color);
}


.data-table-tools__search-button:hover {
  background-color: color-mix(in srgb, var(--btn-color) 80%, #000);
}

.data-table-tools__actions {
  display: flex;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;

  padding-inline-end: 3px;
  justify-content: flex-end;
  gap: 10px;
  order: 1;
  width: 100%;
}


#contentsWrapper .page-frame .data-table-tools__guide-button {
  --btn-color: rgb(90, 206, 125);
  border-radius: 12px;
  color: #fff;
  background-color: var(--btn-color)
}

.data-table-tools__guide-button>span {
  background-color: transparent;
  font-size: 77%;
  border-radius: 15%;
}

#contentsWrapper .page-frame .data-table-tools__guide-button:active,
#contentsWrapper .page-frame .data-table-tools__guide-button:focus,
#contentsWrapper .page-frame .data-table-tools__guide-button:hover {
  background-color: color-mix(in srgb, var(--btn-color) 80%, #000);
}

.data-table-tools__reset-button {
  --btn-color: rgb(0, 166, 237);
  border-radius: 12px;
  width: 10em;
  color: #fff;
  background-color: var(--btn-color)
}

.data-table-tools__reset-button:hover {
  background-color: color-mix(in srgb, var(--btn-color) 80%, #000);
}

.data-table-tools__filters {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
}

.data-table-tools__filter {
  display: flex;

  padding: 0 3px;
  align-items: baseline;
  flex-direction: column;
  row-gap: 1px;
  flex-wrap: wrap;
  justify-content: flex-start;

}

.data-table-tools__filter-label {
  align-items: flex-start;
  min-width: fit-content;
  white-space: nowrap;
}

.data-table-tools__filter--period {
  width: 100%;
}



.data-table-tools__filter--spacer {
  width: 100%;
  height: 0;
}

.data-table-tools__filter-group--title {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  row-gap: 10px;
}

.data-table-tools__filter>span {
  font-size: var(--font-size);
}

.data-table-tools__select {
  width: 100%;
  font-size: var(--font-size-control);
}

/* ==================
  テーブルエリア
================== */
.data-table,
.data-table thead,
.data-table tbody,
.data-table tfoot,
.data-table tr,
.data-table th,
.data-table td {
  display: block;
}

.data-table {
  width: var(--table-width);
  font-size: var(--font-size);
}

.col-date {
  width: var(--col-date);
}

.col-title {
  width: var(--col-title);
}

.col-result {
  width: var(--col-result);
}

.data-table__head,
.data-table__cell {
  border: 1px solid var(--color-border);
}

.data-table__head-inner {
  height: var(--headrow-height);
  background-color: var(--color-bg-heading);
  display: flex;
  font-size: var(--font-size-heading);
  font-weight: 500;
  padding: 6px 6px 6px 12px;
  align-items: center;
  flex-direction: row;
  flex-wrap: nowrap;
  color: var(--color-text);
}


.data-table_head-sorter-button {
  display: inline-flex;
  margin-inline-start: auto;
  font-size: var(--font-size);
  cursor: pointer;
  color: var(--color-text-sub);
  padding: 0 2px;
  align-items: center;
  justify-content: center;
}




.data-table__cell-inner {
  display: flex;
  padding: 4px;
  width: 100%;
  background-color: var(--color-bg);
}

.data-table__cell-inner:empty {
  display: none;
}

.col-date .data-table__cell-inner {
  height: var(--datarow-height);
  font-size: var(--font-size);
  flex-direction: row;
  flex-wrap: wrap;
  row-gap: 8px;
  align-content: center;
  align-items: baseline;
}



.col-title .data-table__cell-inner {
  height: var(--datarow-height);
  flex-direction: column;
  flex-wrap: wrap;
}


h2.data-table__subject {
  margin: 0;
  min-height: 2.4em;
  max-width: 100%;
  line-height: 1.2;
  font-size: var(--font-size-subject);
  font-weight: 600;
  align-content: center;


}

h2.data-table__subject a {
  text-decoration: underline;
  text-underline-position: under;
}


#contentsWrapper .page-frame .data-table__subject,
#contentsWrapper .page-frame .data-table__subject a,
#contentsWrapper .page-frame .data-table__subject a:link,
#contentsWrapper .page-frame .data-table__subject a:visited {
  color: var(--color-text);
  transition: color .2s ease;
}

#contentsWrapper .page-frame .data-table__subject a:hover,
#contentsWrapper .page-frame .data-table__subject a:focus {
  color: color-mix(in srgb, var(--color-text) 20%, #206AFB);
}




.data-table__description {
  margin-inline-start: 16px;
  line-height: 1.4;
  max-height: 2.8em;
  font-size: 12px;
  color: var(--color-text-muted);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.data-table__description:empty {
  display: none;
}


.data-table__icons {
  height: auto;
  margin-inline-start: 16px;
  padding: 0;
  column-gap: 6px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: flex-start;
}


.iconize {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  max-height: 18px;
  height: 12px;
  color: var(--color-text);
  white-space: nowrap;
  overflow: hidden;
  font-size: var(--font-size-caption);
}

.iconize.iconize--type {
  min-width: 80px;
  border-radius: 4px;
  margin-right: auto;
  padding-left: 6px;
  padding-right: 4px;
}

.iconize.iconize--office {
  min-width: 80px;
  border: 1px solid var(--color-border);
  position: relative;
}

.iconize.iconize--office:not(.hs) {
  cursor: pointer;
}

.iconize.iconize--office>span {
  z-index: 20;
}

.iconize.iconize--office::before {
  content: '';
  position: absolute;
  left: -1px;
  top: -1px;
  bottom: 0;
  width: 12px;
  height: 12px;
  clip-path: polygon(0 0, 100% 0, 30% 100%, 0 100%);
  z-index: 10;
}

.iconize.national-survey {
  background-color: var(--color-type-1);
}

.iconize.regional-survey {
  background-color: var(--color-type-2);
}

.iconize.evaluation-survey {
  background-color: var(--color-type-3);
}

.iconize.grasp-survey {
  background-color: var(--color-type-4);
}

.iconize.other {
  border: 1px solid var(--color-border);
}

.iconize--office.hs::before {
  background-color: var(--color-hs);
}

.iconize--office.hk::before {
  background-color: var(--color-hk);
}

.iconize--office.th::before {
  background-color: var(--color-th);
}

.iconize--office.kt::before {
  background-color: var(--color-kt);
}

.iconize--office.cb::before {
  background-color: var(--color-cb);
}

.iconize--office.kk::before {
  background-color: var(--color-kk);
}

.iconize--office.cg::before {
  background-color: var(--color-cg);
}

.iconize--office.sk::before {
  background-color: var(--color-sk);
}

.iconize--office.ks::before {
  background-color: var(--color-ks);
}

.iconize--office.ok::before {
  background-color: var(--color-ok);
}

.scroll-wrapper {
  height: var(--datarow-height);
}

.col-result .data-table__cell-inner,
.col-followup .data-table__cell-inner {
  height: auto;
  display: flex;
  row-gap: 6px;
  align-items: flex-start;
  min-height: 100%;
  font-size: var(--font-size);
}

.col-result .data-table__cell-inner {
  flex-direction: row;
  flex-wrap: wrap;
  padding: 8px 4px 8px 10em;
  position: relative;
  column-gap: 15px;
  justify-content: flex-start;
}

.col-followup .data-table__cell-inner {
  flex-direction: column-reverse;
  flex-wrap: nowrap;
  position: relative;
  column-gap: 7px;
  padding: 8px 4px 8px 10em;
}

.col-result .data-table__cell-inner>span {
  white-space: nowrap;
}

.col-followup .data-table__cell-inner>span {
  white-space: normal;
}

#contentsWrapper .page-frame .col-result a,
#contentsWrapper .page-frame .col-result a:link,
#contentsWrapper .page-frame .col-followup a,
#contentsWrapper .page-frame .col-followup a:link {
  color: var(--color-link);
  text-decoration: underline;
  text-underline-position: under;
}

#contentsWrapper .page-frame .col-result a:hover,
#contentsWrapper .page-frame .col-result a:focus,
#contentsWrapper .page-frame .col-followup a:hover,
#contentsWrapper .page-frame .col-followup a:focus {
  color: var(--color-link-hover);
}

#contentsWrapper .page-frame .col-result a:visited {
  color: var(--color-link-visited);
}

.is--hidden {
  display: none !important;
}

.no-data-row td {
  height: 100px;
  text-align: center;
  align-content: center;
  font-style: italic;
  color: var(--color-text-sub);
  margin-bottom: 6px;
}

.data-table-note {
  width: var(--table-width);
  display: flex;
  flex-direction: column;
  background-color: var(--color-bg-note);
  border: 1px solid var(--color-border);
  border-top: 1px solid var(--color-border);
  border-radius: 0;
  padding: 10px 20px 7px;
}


/* ==================
  サブコンテンツ
================== */
.partner-research {
  --font-size: 12px;
  --font-size-subject: 15px;
  --font-size-partner: 14px;

  padding: 0 4px;
  width: 100%;
  min-width: 0;
  margin-bottom: 45px;
}

#contentsWrapper .page-frame .partner-research a,
#contentsWrapper .page-frame .partner-research a:link {
  color: var(--color-link);
}

#contentsWrapper .page-frame .partner-research a:hover,
#contentsWrapper .page-frame .partner-research a:focus {
  color: var(--color-link-hover);
}

#contentsWrapper .page-frame .partner-research a:visited {
  color: var(--color-link-visited);
}

.partner-research__text:empty {
  display: none;
}

.partner-research__part {
  display: flex;
  flex-flow: column wrap;
  margin-bottom: 14px;
  padding: 6px 10px;
  background-color: var(--color-bg);
  border: 1px solid var(--color-border);
  border-radius: 8px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.partner-research__top-row {
  display: flex;
  flex-direction: row;
  row-gap: 8px;
}

.partner-research__date {
  font-size: var(--font-size);
  color: var(--color-text);
}

.partner-research__partner {
  font-size: var(--font-size-partner);
  margin-left: auto;
}

.partner-research__subject {
  min-height: 2.4em;
  line-height: 1.2;
  font-size: var(--font-size-subject);
  font-weight: bold;
  text-underline-position: under;
}

.partner-research__results {
  display: flex;
  flex-flow: column nowrap;
  padding-left: 10px;
  padding-top: 8px;
  padding-right: 10px;
}


/* ==================
  モバイル・デスクトップ 切替（モバイル）
================== */
@media (max-width: 768px),
(hover: none),
(pointer: coarse),
(pointer: none) {

  .data-table-tools__search-spacer {
    display: none;
  }

  .data-table__cell:not(:last-child) {
    border-bottom: 1px solid var(--color-border-divider);
  }

  .data-table__cell:not(:first-child) {
    border-top: none;
  }

  .data-table__head:not(.col-date) {
    display: none;
  }

  .col-date .data-table__head-inner {
    padding: 5px 5px 5px 10px;
  }

  .data-table__head-row,
  .data-table__row {
    margin-bottom: 6px;
  }

  .col-date .data-table__cell-inner {
    padding: 0;
    padding-left: 1em;
  }

  .col-date .data-table__cell-inner>span:last-child {
    margin-left: 6px;
  }

  .col-title .data-table__cell-inner {
    padding: 18px 14px 8px;
  }


  .data-table__row[data-type="national-survey"] .col-date .data-table__cell-inner {
    background-color: color-mix(in srgb, var(--color-type-1) 20%, #fff);
  }

  .data-table__row[data-type="regional-survey"] .col-date .data-table__cell-inner {
    background-color: color-mix(in srgb, var(--color-type-2) 20%, #fff);
  }

  .data-table__row[data-type="evaluation-survey"] .col-date .data-table__cell-inner {
    background-color: color-mix(in srgb, var(--color-type-3) 20%, #fff);
  }

  .data-table__row[data-type="grasp-survey"] .col-date .data-table__cell-inner {
    background-color: color-mix(in srgb, var(--color-type-4) 20%, #fff);
  }


  h2.data-table__subject {
    margin-bottom: 6px;
    height: auto;
    max-height: none;
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
    display: block;
    overflow: visible;
  }


  .data-table__cell-inner:has(.data-table__description:empty) .data-table__subject {
    min-height: 2.4em;
  }



  .data-table__icons {
    margin-top: 14px;
    row-gap: 4px;
  }



  .col-result .data-table__cell-inner::before {
    content: '\1F4D6\0020公表資料';
    width: 10em;
    position: absolute;
    top: 0px;
    left: 0px;
    padding-left: 1.5em;
    height: 100%;
    align-content: center;
  }

  .col-followup .data-table__cell-inner::before {
    content: '\1F449\0020公表後の状況';
    width: 10em;
    position: absolute;
    top: 0px;
    left: 0px;
    padding-left: 1.5em;
    height: 100%;
    align-content: center;
  }


  .data-table__description {
    position: relative;
    cursor: pointer;

    transition:
      max-height .4s ease-in,
      color .1s ease-in;
  }

  .data-table__readmore {
    align-self: flex-end;
    font-size: 11px;
    height: 14px;
    color: #6283A1;
    cursor: pointer;
    border: none;
    background: none;
    appearance: none;
    opacity: 1;
    transition: height .1s ease-in-out;
  }

  .data-table__description.is-expanded {
    display: block;
    max-height: 360px;
    white-space: pre-line;
    cursor: default;
    color: var(--color-text);
  }

  .data-table__description.has-overflow:not(.is-expanded)::after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 0;
    width: 40%;
    height: 1.4em;
    background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
    opacity: 1;
    transition: height .2s ease;
  }

  .data-table__description.is-expanded+.data-table__readmore {
    opacity: 0;
    height: 0;
  }

  .data-table__description.is-expanded::after {
    opacity: 0;
    height: 0;
  }
}

/* ==================
  モバイル・デスクトップ 切替（デスクトップ限定）
================== */
@media (hover: hover) and (pointer: fine) and (min-width: 769px) {

  #contentsWrapper {
    width: 1200px !important;
  }

  .page-frame {
    --color-bg-followup: #e9eef5;
    --color-bg-tooltip: rgb(239, 255, 252);
    margin: 0;
  }

  .page-frame * {
    font-family: -apple-system, BlinkMacSystemFont, "Noto Sans JP", Arial, sans-serif;
  }

  h1.page-header,
  h3.page-header {
    margin: 0 0 15px;
    padding: 5px 10px;
    padding-inline-start: 12px;
  }

  .data-table-section {
    --table-width: 1200px;
    --col-date: 120px;
    --col-title: 540px;
    --col-result: 290px;
    --col-followup: auto;
    --headrow-height: 40px;
    --datarow-height: 120px;

    --font-size-button: 16px;
  }

  .data-table-tools__top-row {
    flex-direction: row;
    justify-content: flex-end;
    padding: 10px 0;
  }

  .data-table-tools__search-spacer {
    flex-grow: 0;
    flex-shrink: 1;
    flex-basis: var(--col-date);
  }

  .data-table-tools__search {
    order: 0;
    width: auto;
    padding: 0;
  }

  .data-table-tools__search-input {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 480px;
  }

  .buttonize {
    font-size: var(--font-size-button);
    padding: 0 10px;
  }

  .data-table-tools__actions {
    order: 0;
    width: auto;
  }

  .data-table-tools__filters {
    flex-direction: row;
    row-gap: 0;
  }

  .data-table-tools__filter {
    flex-direction: column;
    align-items: flex-start;
    row-gap: 5px;
    padding: 3px;
  }

  .data-table-tools__filter--period {
    width: var(--col-date);
  }

  .data-table-tools__filter--spacer {
    width: auto;
  }

  .data-table-tools__filter-group--title {
    width: var(--col-title);
    flex-direction: row;
  }

  .data-table {
    table-layout: fixed;
    border-collapse: collapse;
    display: table;
  }


  .data-table thead {
    display: table-header-group;
  }

  .data-table tbody {
    display: table-row-group;
  }

  .data-table tfoot {
    display: table-footer-group;
  }

  .data-table tr {
    display: table-row;
  }

  .data-table th,
  .data-table td {
    display: table-cell;
  }

  th.data-table__head {
    position: sticky;
    top: 0;
    z-index: 50;
  }

  .col-followup .data-table__head-inner {
    background-color: var(--color-bg-followup);
  }

  h2.data-table__subject {
    margin-inline-start: 6px;
    height: 3.6em;
    max-height: 3.6em;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  h2.data-table__subject,
  h2.data-table__subject a {
    font-family: "UD Digi Kyokasho N-R", 'Noto Sans JP', 'メイリオ', sans-serif;
  }

  .data-table__cell-inner:has(.data-table__description:empty) .data-table__subject {
    min-height: 3.6em;
  }


  .data-table__icons {
    margin-top: auto;
    row-gap: 0;
  }


  .scroll-wrapper {
    overflow-x: hidden;
    overflow-y: auto;
  }

  .col-result .data-table__cell-inner::before,
  .col-followup .data-table__cell-inner::before {
    display: none;
  }

  .col-result .data-table__cell-inner,
  .col-followup .data-table__cell-inner {
    flex-direction: column;
    flex-wrap: nowrap;
    column-gap: 7px;
    justify-content: center;
    padding: 4px 4px 4px 12px;
  }

  .no-data-row td {
    margin-bottom: 0;
  }

  .tooltip {
    position: absolute;
    font-family: -apple-system, BlinkMacSystemFont, "Noto Sans JP", Arial, sans-serif;
    background-color: rgb(239, 255, 252);
    border: 1px solid #eae3ea;
    color: #373737;
    padding: 5px 10px;
    border-radius: 4px;
    z-index: 500;
    white-space: pre-wrap;
    font-size: 12px;
    max-width: 600px;
  }

  .data-table-note {
    border-top: none;
    border-radius: 0 0 5px 5px;
  }

  .partner-research {
    width: 720px;
    min-width: 720px;
  }

  .partner-research__subject {
    font-family: "UD Digi Kyokasho N-R", 'Noto Sans JP', 'メイリオ', sans-serif;
  }
}